> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Source Export



## OpenAPI

````yaml /openapi-v1.json get /api/v1/source-exports/{export_id}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/source-exports/{export_id}:
    get:
      tags:
        - Sources
      summary: Get Source Export
      operationId: core_api_v1_controllers_sources_get_source_export
      parameters:
        - in: path
          name: export_id
          schema:
            format: uuid
            title: Export Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SourceExportOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    SourceExportOut:
      properties:
        object:
          default: source_export
          title: Object
          type: string
        id:
          title: Id
          type: string
        source_id:
          title: Source Id
          type: string
        status:
          enum:
            - pending
            - processing
            - ready
            - failed
            - expired
          title: Status
          type: string
        filename:
          title: Filename
          type: string
        include_files:
          title: Include Files
          type: boolean
        create_folders:
          title: Create Folders
          type: boolean
        created_at:
          format: date-time
          title: Created At
          type: string
        completed_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Completed At
        expires_at:
          format: date-time
          title: Expires At
          type: string
        size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Size Bytes
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        download_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Download Url
        download_url_expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Download Url Expires At
        poll_after_seconds:
          anyOf:
            - type: integer
            - type: 'null'
          title: Poll After Seconds
        instructions:
          title: Instructions
          type: string
      required:
        - id
        - source_id
        - status
        - filename
        - include_files
        - create_folders
        - created_at
        - completed_at
        - expires_at
        - size_bytes
        - error
        - download_url
        - download_url_expires_at
        - poll_after_seconds
        - instructions
      title: SourceExportOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.